<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List" />
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet>&lt;row>&lt;ID>38&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>39&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>40&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>41&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>42&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>43&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>44&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>45&lt;/ID>&lt;ORGANIZATIONID>apg&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>12&lt;/ID>&lt;ORGANIZATIONID>fpm&lt;/ORGANIZATIONID>&lt;/row>&lt;row>&lt;ID>32&lt;/ID>&lt;ORGANIZATIONID>fpm&lt;/ORGANIZATIONID>&lt;/row>&lt;/resultSet>&lt;/ResultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1542118986975</Property>
		<Property name="ISWorkflowName">VAM_api_database_query</Property>
		<Property name="ISModuleName">VAM_api_queryDatabase</Property>
		<Property name="ISModuleId">35243</Property>
		<Property name="ISProcessId">17668702</Property>
		<Property name="ISUserName">zzvirkac</Property>
		<Property name="ISServerName">VBIN0574</Property>
		<Property name="ISNodeName">VBIN0574.grid.inet</Property>
		<Property name="ISGlobalProcessId">17668702</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;parameters>&lt;getActions>true&lt;/getActions>&lt;sortMode/>&lt;verbosity>1&lt;/verbosity>&lt;withTemplate>true&lt;/withTemplate>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;start>0&lt;/start>&lt;limit>70&lt;/limit>&lt;sorters>&lt;sorter>&lt;key>displayName&lt;/key>&lt;direction>asc&lt;/direction>&lt;/sorter>&lt;/sorters>&lt;filters>&lt;filter>&lt;key>template.customId&lt;/key>&lt;operator>=&lt;/operator>&lt;value>LAND&lt;/value>&lt;/filter>&lt;/filters>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1539859712493&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api>&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>localhost:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item&gt;&lt;item>&lt;key>localhost:8080&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name> bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>Power User&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>bpcuser&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>User&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module&gt;api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context&gt;&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>apg&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration>&lt;featureActiveVersionsDisabled>true&lt;/featureActiveVersionsDisabled>&lt;am>&lt;overviews>&lt;overview>&lt;singleTemplateMode>&lt;templateCustomId>LAND&lt;/templateCustomId>&lt;/singleTemplateMode>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;columns>&lt;order>&lt;dataIndex>children.joinedDisplayNames&lt;/dataIndex>&lt;dataIndex>versionedAttribute.active&lt;/dataIndex>&lt;dataIndex>lastUpdatedOn&lt;/dataIndex>&lt;dataIndex>parents.joinedDisplayNames&lt;/dataIndex>&lt;dataIndex>versionedAttribute.senderCode&lt;/dataIndex>&lt;dataIndex>createdByUserDisplayName&lt;/dataIndex>&lt;/order>&lt;/columns>&lt;/overview>&lt;overview>&lt;singleTemplateMode>&lt;templateId>2&lt;/templateId>&lt;/singleTemplateMode>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;/overview>&lt;overview>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;/overview>&lt;overview>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>20&lt;/templateId>&lt;/singleTemplateMode>&lt;/overview>&lt;/overviews>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;locale>en&lt;/locale>&lt;language>en&lt;/language>&lt;country/>&lt;/user>&lt;/session></Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log/></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:template match="/">&lt;queries alertTimeout="10000000">&lt;xsl:if test="true()">&lt;query properties="force">&lt;value>&lt;xsl:text>ALTER TABLE ASSETS ADD &lt;/xsl:text>&lt;xsl:for-each select="ResultSets/resultSet/row">&lt;xsl:if test="position() != 1">,&lt;/xsl:if>&lt;xsl:value-of select="concat('VERSIONEDATTRIBUTES', ID, ' XML')"/>&lt;/xsl:for-each>&lt;/value>&lt;/query>&lt;/xsl:if>&lt;xsl:for-each select="ResultSets/resultSet/row">&lt;query properties="force">&lt;value>&lt;xsl:text>CREATE PRIMARY XML INDEX ASS_IDX_XML_VERSIONEDATTRIBUTES&lt;/xsl:text>&lt;xsl:value-of select="ID"/>&lt;xsl:text> ON ASSETS (VERSIONEDATTRIBUTES&lt;/xsl:text>&lt;xsl:value-of select="ID"/>&lt;xsl:text>)&lt;/xsl:text>&lt;/value>&lt;/query>&lt;/xsl:for-each>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>